import dynamix_sdk.base as _base


class CloudbrokerNodeGetSshIdentityResultModel(_base.BaseAPIResultModel):
    hostname: str
    host_key: str
    public_keys: list[str]


class CloudbrokerNodeGetSshIdentityProtocol(
    _base.BaseGetAPIFunctionProtocol,
):
    def get_ssh_identity(
        self,
        *,
        node_id: int,
    ) -> CloudbrokerNodeGetSshIdentityResultModel:
        ...
